Description

Using 1.11.0, using the Geodata search to connect to an OGC:CSW 2.0.2, I am able to connect (I can see from my CSW server logs,
and the response is parsed), however when attempting to search, clicking the search button has no effect.

Sample URL for testing: 
http://aiolos.survey.ntua.gr/pycsw_dev/csw.py?service=CSW&#38;version=2.0.2&#38;request=GetCapabilities

History
#1 - 04/06/2012 09:28 PM - Manuel Madrid
- Status changed from New to Awaiting response

Please, can you give the steps to reproduce the error?

Thanks.

#2 - 04/10/2012 02:57 PM - Tom Kralidis

Steps:

    -  launch gvSIG 1.11.0 final (Build 1305) (Java 1.6.0_20)
    -  create new View
    -  update View properties * set Current projection: EPSG:4326 * click "OK" 
    -  open new view * select view * click "OK" 
    -  add layer * click Layer/Add Layer menu item * under tab "File", click "Add"  * select file, click "Add" (I'm using Natural earth admin countries layer)
    -  click "Geodata search" icon
    -  Enter Address of catalogue server: * http://aiolos.survey.ntua.gr/pycsw_dev/csw.py
    -  protocol = CSW/ISO 19115
    -  click "Connect" 
    -  gvSIG proceeds to next screen
    -  Services select box set to "Data" 
    -  enter Title = "lor" 
    -  Click "Search"

There is no effect when clicking this button.
http://aiolos.survey.ntua.gr/pycsw_dev/csw.py?service=CSW&#38;version=2.0.2&#38;request=GetCapabilities
http://aiolos.survey.ntua.gr/pycsw_dev/csw.py


#3 - 09/26/2012 02:17 PM - Manuel Madrid
- gvSIG version changed from 2.0.0 to 1.11.0

#4 - 09/26/2012 02:25 PM - Manuel Madrid
- Status changed from Awaiting response to Closed

gvSIG 1.11 doesn't support CSW 2.0.2. I'm closing this bug and opening a feature request for both 1.12 and 2.0 version.

#5 - 02/21/2014 09:36 AM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
- Category deleted (Catalog)
